This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 823724 - Review Request: github-cli - command-line interface for GitHub [NEEDINFO]
Review Request: github-cli - command-line interface for GitHub
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 22:05 EDT by Adrian Alves
Modified: 2014-01-22 20:41 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-20 23:08:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
i: needinfo? (aalves)


Attachments (Terms of Use)

  None (edit)
Description Adrian Alves 2012-05-21 22:05:26 EDT
Spec URL: http://alvesadrian.fedorapeople.org/github-cli.spec
SRPM URL: http://alvesadrian.fedorapeople.org/github-cli-1.0.0-1.fc16.src.rpm
Description: github-cli provides an executable called ghi, that can be used to access all of GitHub's documented Issues API (v2) functionality from your command-line.
Fedora Account System Username: alvesadrian
Comment 1 Ben Rosser 2012-05-21 22:56:19 EDT
As I am not sponsored, this isn't a formal review, but here are a couple of things:

-There's no source URL in the spec file, just "Source0: %{name}-%{version}.tar.gz". You should point this at the actual download from pypi.

-This is a Python package (it produces no compiled binaries), so it should be flagged as noarch using BuildArch: noarch. This will also get rid of the empty debuginfo package.

-Other than that, rpmlint identified a couple of other minor issues in both RPMs that should be easy to fix:

github-cli.src: W: summary-not-capitalized C command-line interface to the GitHub Issues API
github-cli.src: W: spelling-error %description -l en_US ghi -> ghee, hi, chi
github-cli.src:4: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 1)
github-cli.src: W: invalid-url Source0: github-cli-1.0.0.tar.gz

github-cli.x86_64: W: summary-not-capitalized C command-line interface to the GitHub Issues API
github-cli.x86_64: E: no-binary
github-cli.x86_64: W: no-documentation
github-cli.x86_64: W: no-manual-page-for-binary ghi
github-cli-debuginfo.x86_64: E: empty-debuginfo-package
Comment 2 Adrian Alves 2012-05-21 23:27:47 EDT
(In reply to comment #1)
> As I am not sponsored, this isn't a formal review, but here are a couple of
> things:
> 
> -There's no source URL in the spec file, just "Source0:
> %{name}-%{version}.tar.gz". You should point this at the actual download
> from pypi.
> 
> -This is a Python package (it produces no compiled binaries), so it should
> be flagged as noarch using BuildArch: noarch. This will also get rid of the
> empty debuginfo package.
> 
> -Other than that, rpmlint identified a couple of other minor issues in both
> RPMs that should be easy to fix:
> 
> github-cli.src: W: summary-not-capitalized C command-line interface to the
> GitHub Issues API
> github-cli.src: W: spelling-error %description -l en_US ghi -> ghee, hi, chi
> github-cli.src:4: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line
> 1)
> github-cli.src: W: invalid-url Source0: github-cli-1.0.0.tar.gz
> 
> github-cli.x86_64: W: summary-not-capitalized C command-line interface to
> the GitHub Issues API
> github-cli.x86_64: E: no-binary
> github-cli.x86_64: W: no-documentation
> github-cli.x86_64: W: no-manual-page-for-binary ghi
> github-cli-debuginfo.x86_64: E: empty-debuginfo-package
I added all the fixes that u suggested:
Spec URL: http://alvesadrian.fedorapeople.org/github-cli.spec
SRPM URL: http://alvesadrian.fedorapeople.org/github-cli-1.0.0-2.fc16.src.rpm
Comment 3 Ben Rosser 2012-05-29 13:36:31 EDT
I'm not completely sure about this- but wouldn't it be better to download a tarball of the source rather than using git and assuming the version number is 1.0.0? Especially when such a tarball is available from http://pypi.python.org/pypi/github-cli

If you use revision control, I think you need to make the version number a snapshot-style version number as described here: https://fedoraproject.org/wiki/Packaging:SourceURL and https://fedoraproject.org/wiki/Packaging/NamingGuidelines#SnapshotPackages

Is the line below supposed to make sure we have version 1.0.0? From the comment, I guess so, but catting this file doesn't actually do anything:

# cat src/github/version.py (Checkout the release version)

The only other thing is- this package currently has no documentation. Is there any available that could perhaps be included?
Comment 4 Adrian Alves 2012-05-30 20:06:33 EDT
(In reply to comment #3)
> I'm not completely sure about this- but wouldn't it be better to download a
> tarball of the source rather than using git and assuming the version number
> is 1.0.0? Especially when such a tarball is available from
> http://pypi.python.org/pypi/github-cli
> 
> If you use revision control, I think you need to make the version number a
> snapshot-style version number as described here:
> https://fedoraproject.org/wiki/Packaging:SourceURL and
> https://fedoraproject.org/wiki/Packaging/NamingGuidelines#SnapshotPackages
> 
> Is the line below supposed to make sure we have version 1.0.0? From the
> comment, I guess so, but catting this file doesn't actually do anything:
> 
> # cat src/github/version.py (Checkout the release version)
> 
> The only other thing is- this package currently has no documentation. Is
> there any available that could perhaps be included?

I added all the fixes that u suggested:
Spec URL: http://alvesadrian.fedorapeople.org/github-cli.spec
SRPM URL: http://alvesadrian.fedorapeople.org/github-cli-1.0.0-3.fc16.src.rpm
Comment 5 Fabian Affolter 2012-06-19 11:05:33 EDT
Just two quick comments:

- -n %{name}-%{version} in %setup is not needed, this is the default.
- You have an unowned directory, https://fedoraproject.org/wiki/Packaging:UnownedDirectories
Comment 6 Fabian Affolter 2012-08-29 03:41:01 EDT
Any progress?
Comment 7 Adrian Alves 2012-09-15 21:45:50 EDT
which way did u suggest?
%setup -qn %{name}-%{version}


which dir I unowned?


(In reply to comment #5)
> Just two quick comments:
> 
> - -n %{name}-%{version} in %setup is not needed, this is the default.
> - You have an unowned directory,
> https://fedoraproject.org/wiki/Packaging:UnownedDirectories
Comment 8 Mario Blättermann 2012-10-19 15:13:26 EDT
Scratch build for Rawhide fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4608626

From build.log:

+ /usr/bin/python setup.py build
Traceback (most recent call last):
  File "setup.py", line 3, in <module>
    from setuptools import setup, find_packages
ImportError: No module named setuptools

The package python-setuptools is missing from BuildRequires.

More issues:

%python_sitelib/github/*

First, please place curly brackets around macros to make them clearly distinguishable from other stuff. Moreover, the folder stays unowned this way. Either remove the asterisk to let it be owned or use the following construct:

%dir %{python_sitelib}/github
%{python_sitelib}/github/*
Comment 9 Fabian Affolter 2012-10-21 06:27:33 EDT
(In reply to comment #7)
> which way did u suggest?
> %setup -qn %{name}-%{version}

%setup -q

> which dir I unowned?

See comment from Mario
Comment 10 Adrian Alves 2012-10-21 23:21:38 EDT
I added all the fixes that u suggested:
Spec URL: http://alvesadrian.fedorapeople.org/github-cli.spec
SRPM URL: http://alvesadrian.fedorapeople.org/github-cli-1.0.0-4.fc16.src.rpm
Comment 11 Mario Blättermann 2012-10-27 10:10:17 EDT
python-setuptools is still missing from BR. A Mock or Koji build will fail again.
Comment 12 Christopher Meng 2013-05-06 20:50:59 EDT
Any news? Are you still interested in packaging it?
Comment 13 Adrian Alves 2013-05-06 21:58:37 EDT
(In reply to comment #11)
> python-setuptools is still missing from BR. A Mock or Koji build will fail
> again.

working on that
Comment 14 Adrian Alves 2013-05-06 21:58:56 EDT
(In reply to comment #12)
> Any news? Are you still interested in packaging it?

yes am working on a new release
Comment 15 Till Maas 2013-05-13 12:25:39 EDT
(In reply to comment #14)
> (In reply to comment #12)
> > Any news? Are you still interested in packaging it?
> 
> yes am working on a new release

Please remove NotReady from the Whiteboard once you are done.
Comment 17 Christopher Meng 2014-01-20 23:08:54 EST
I think this package is useless, as GitHub has marked V2 API deprecated for a long time: https://github.com/blog/1160-github-api-v2-end-of-life

Currently github uses V3 API: http://developer.github.com/v3/

Anyone interested in V3 API binding in python? Or we write one? ;)
Comment 18 Christopher Meng 2014-01-22 20:41:45 EST
All people who are interested in integrating with github issues, please take a look at pygithub(in Fedora repo, but needs an update). I just tried with this from pypi, it works fine.

Note You need to log in before you can comment on or make changes to this bug.